#!/bin/bash

if [ $# -ne 1 -o ! -d "$1" ]; then
    echo "Usage: $0 <results directory>"
    exit 1
fi

RESULTS="$1"
PLOT_DIR="$(pwd)/"

ruby "utils/pp_perfs.rb" "$RESULTS"

cd $RESULTS
echo "Plotting performances for $RESULTS"
gnuplot $PLOT_DIR/pp_perfs.plt
